summaryrefslogtreecommitdiff
path: root/development/jbigkit/jbigkit.SlackBuild
diff options
context:
space:
mode:
authorIskar Enev <iskar.enev[@]gmail.com>2010-05-12 17:38:32 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-12 17:38:32 +0200
commit660b44c04974e3a14e7aae55f2a417af90e28f59 (patch)
tree1208548eacc26937fb3561792cfb6ed078e9b512 /development/jbigkit/jbigkit.SlackBuild
parent95915b29b1fa62b1f79aa4e9ca90f0809af6e970 (diff)
downloadslackbuilds-660b44c04974e3a14e7aae55f2a417af90e28f59.tar.gz
development/jbigkit: Updated for version 2.0
Diffstat (limited to 'development/jbigkit/jbigkit.SlackBuild')
-rw-r--r--development/jbigkit/jbigkit.SlackBuild23
1 files changed, 12 insertions, 11 deletions
diff --git a/development/jbigkit/jbigkit.SlackBuild b/development/jbigkit/jbigkit.SlackBuild
index 348cd58790..d86a47b62e 100644
--- a/development/jbigkit/jbigkit.SlackBuild
+++ b/development/jbigkit/jbigkit.SlackBuild
@@ -4,7 +4,7 @@
# Written by Iskar Enev <iskar.enev[@]gmail.com>
PRGNAM=jbigkit
-VERSION=1.6
+VERSION=2.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -43,26 +43,27 @@ cd -
# ... and all the rest
make CCFLAGS="$SLKCFLAGS"
-# Test the compiled tools - this is optional
-# LD_LIBRARY_PATH=$CWD/libjbig make test
-
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
# There is no "install" target in the Makefile...
-mkdir -p $PKG/usr/{bin,lib,include,man/man1,doc/$PRGNAM-$VERSION}
+mkdir -p $PKG/usr/{bin,lib,include,man/man1,man/man5,doc/$PRGNAM-$VERSION}
-cp -a pbmtools/{jbgtopbm,pbmtojbg} $PKG/usr/bin
+cp -a pbmtools/{jbgtopbm,pbmtojbg,jbgtopbm85,pbmtojbg85} $PKG/usr/bin
cp -a pbmtools/*.1 $PKG/usr/man/man1
+cp -a pbmtools/*.5 $PKG/usr/man/man5
gzip -9 $PKG/usr/man/man1/*.1
-cp -a libjbig/jbig.h $PKG/usr/include
+gzip -9 $PKG/usr/man/man5/*.5
+cp -a libjbig/jbig.h libjbig/jbig85.h libjbig/jbig_ar.h $PKG/usr/include
cp -a libjbig/libjbig.* $PKG/usr/lib
-cp -a ANNOUNCE CHANGES INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a libjbig/jbig.doc $PKG/usr/doc/$PRGNAM-$VERSION/jbig.txt
+cp -a ANNOUNCE CHANGES INSTALL COPYING TODO libjbig/*.txt examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install